summaryrefslogtreecommitdiff
path: root/bin/update_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/update_all.sh')
-rwxr-xr-xbin/update_all.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/bin/update_all.sh b/bin/update_all.sh
new file mode 100755
index 0000000..11a5024
--- /dev/null
+++ b/bin/update_all.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+source /eng/ssb/auto/astroconda/include/midnight_special.sh
+source /eng/ssb/auto/astroconda/include/pre-common.sh
+
+repo_base=http://ssb.stsci.edu
+contexts=( dev public )
+versions=( 27 35 )
+
+echo '----'
+echo 'Updating base installation:'
+conda update -q -y --all
+
+echo '----'
+for context in "${contexts[@]}"
+do
+ for version in "${versions[@]}"
+ do
+ case "$context" in
+ dev)
+ repo="$repo_base/conda-dev"
+ ;;
+ public)
+ repo="$repo_base/astroconda"
+ ;;
+ *)
+ echo "No repository available for: $context"
+ exit 1
+ ;;
+ esac
+
+ environ="rt_${context}${version}"
+ if [[ ! -d ~/miniconda3/envs/$environ ]]; then
+ echo '!!!!'
+ echo "No Conda environment for: $environ"
+ echo "Skipping..."
+ continue
+ fi
+ echo '----'
+ echo "Updating $context from $repo:"
+ conda update -q -y --override-channels -c defaults -c $repo -n $environ --all
+ echo '----'
+ echo "Forcing pandokia to exist:"
+ conda install -q -y --override-channels -c defaults -c $repo -n $environ pandokia
+ done
+done
+
+echo '----'
+echo 'Updating regression tests:'
+svn_update `for d in /srv/rt/*; do [[ -d $d/.svn ]] && echo $d; done`
+echo '----'
+